Index: external/fastjet/JetDefinition.hh
===================================================================
--- external/fastjet/JetDefinition.hh	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
+++ external/fastjet/JetDefinition.hh	(revision db8be5f54d138eae802eed67aaf8aea85c4a7ce0)
@@ -3,5 +3,5 @@
 
 //FJSTARTHEADER
-// $Id: JetDefinition.hh 3677 2014-09-09 22:45:25Z soyez $
+// $Id: JetDefinition.hh 4074 2016-03-08 09:09:25Z soyez $
 //
 // Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
@@ -35,4 +35,5 @@
 #include "fastjet/internal/numconsts.hh"
 #include "fastjet/PseudoJet.hh"
+#include "fastjet/internal/deprecated.hh"
 #include<string>
 #include<memory>
@@ -268,5 +269,5 @@
                 RecombinationScheme recomb_scheme_in = E_scheme,
                 Strategy strategy_in = Best) {
-    *this = JetDefinition(jet_algorithm_in, R_in, strategy_in, recomb_scheme_in, 1);
+    *this = JetDefinition(jet_algorithm_in, R_in, recomb_scheme_in, strategy_in, 1);
   }
 
@@ -277,5 +278,5 @@
                 Strategy strategy_in = Best) {
     double dummyR = 0.0;
-    *this = JetDefinition(jet_algorithm_in, dummyR, strategy_in, recomb_scheme_in, 0);
+    *this = JetDefinition(jet_algorithm_in, dummyR, recomb_scheme_in, strategy_in, 0);
   }
 
@@ -287,5 +288,5 @@
                 RecombinationScheme recomb_scheme_in = E_scheme,
                 Strategy strategy_in = Best) {
-    *this = JetDefinition(jet_algorithm_in, R_in, strategy_in, recomb_scheme_in, 2);
+    *this = JetDefinition(jet_algorithm_in, R_in, recomb_scheme_in, strategy_in, 2);
     set_extra_param(xtra_param_in);
   }
@@ -344,19 +345,31 @@
     _strategy = plugin_strategy;
     _Rparam = _plugin->R();
+    _extra_param = 0.0; // a dummy value to keep static code checkers happy
     _jet_algorithm = plugin_algorithm;
     set_recombination_scheme(E_scheme);
   }
 
-
   /// constructor to fully specify a jet-definition (together with
   /// information about how algorithically to run it).
+  JetDefinition(JetAlgorithm jet_algorithm_in, 
+                double R_in, 
+                RecombinationScheme recomb_scheme_in,
+                Strategy strategy_in,
+                int nparameters_in);
+
+  /// constructor to fully specify a jet-definition (together with
+  /// information about how algorithically to run it).
   ///
   /// the ordering of arguments here is old and deprecated (except
   /// as the common constructor for internal use)
+  FASTJET_DEPRECATED_MSG("This argument ordering is deprecated. Use JetDefinition(alg, R, strategy, scheme[, n_parameters]) instead")
   JetDefinition(JetAlgorithm jet_algorithm_in, 
                 double R_in, 
                 Strategy strategy_in,
                 RecombinationScheme recomb_scheme_in = E_scheme,
-                int nparameters_in = 1);
+                int nparameters_in = 1){
+    (*this) = JetDefinition(jet_algorithm_in,R_in,recomb_scheme_in,strategy_in,nparameters_in);
+  }
+
 
   /// cluster the supplied particles and returns a vector of resulting
@@ -388,5 +401,5 @@
   /// Recombiner *) may lead to memory corruption.
   void set_recombiner(const Recombiner * recomb) {
-    if (_shared_recombiner()) _shared_recombiner.reset(recomb);
+    if (_shared_recombiner) _shared_recombiner.reset(recomb);
     _recombiner = recomb;
     _default_recombiner = DefaultRecombiner(external_scheme);
@@ -521,11 +534,11 @@
       _recomb_scheme(recomb_scheme) {}
     
-    virtual std::string description() const;
+    virtual std::string description() const FASTJET_OVERRIDE;
     
     /// recombine pa and pb and put result into pab
     virtual void recombine(const PseudoJet & pa, const PseudoJet & pb, 
-                           PseudoJet & pab) const;
-
-    virtual void preprocess(PseudoJet & p) const;
+                           PseudoJet & pab) const FASTJET_OVERRIDE;
+
+    virtual void preprocess(PseudoJet & p) const FASTJET_OVERRIDE;
 
     /// return the index of the recombination scheme
